Subject: Re: [Ltru] WG Last Call for draft-ietf-ltru-4645bis-06.txt

From: "Doug Ewell" <[email-masked]>
Date: Fri, 10 Oct 2008 18:22:42 -0600

Felix Sasaki <fsasaki at w3 dot org> wrote:

> draft-ietf-ltru-4646bis-17 says in sec. 3.1.3:
>
> "Deprecated's field-body contains the date the record was deprecated. 
> In some cases this value is before that of the associated 'Added' 
> field in the registry."
>
> Although this thread is for the last call of 4645bis, I am wondering 
> about the reason for the statement. "In some cases this value is 
> before that of the associated 'Added' field in the registry.", since 
> the ording of fields in 4645bis is not required.

In this passage, "before" refers to the dates themselves, not the order 
of fields within the record.

An example of this is:

Type: language
Subtag: in
Description: Indonesian
Added: 2005-10-16
Preferred-Value: id
Deprecated: 1989-01-01
Suppress-Script: Latn

In essence, the record was deprecated before birth.

--
Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14
http://www.ewellic.org
http://www1.ietf.org/html.charters/ltru-charter.html
http://www.alvestrand.no/mailman/listinfo/ietf-languages  ˆ

_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: Felix Sasaki <[email-masked]>
Date: Sat, 11 Oct 2008 09:36:09 +0900

Thank you for your explanation, and sorry for the misunderstanding.

Felix

Doug Ewell さんは書きました:
> In this passage, "before" refers to the dates themselves, not the 
> order of fields within the record.
>
> An example of this is:
>
> Type: language
> Subtag: in
> Description: Indonesian
> Added: 2005-10-16
> Preferred-Value: id
> Deprecated: 1989-01-01
> Suppress-Script: Latn
>

---

From: John Cowan <[email-masked]>
Date: Fri, 10 Oct 2008 21:16:01 -0400

> of fields within the record.

How about �"earlier than", then?

-- 
What asininity could I have uttered     John Cowan <[email-masked]>
that they applaud me thus?              http://www.ccil.org/~cowan
        --Phocion, Greek orator
_______________________________________________
Ltru mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ltru

---

From: Martin Duerst <[email-masked]>
Date: Tue, 14 Oct 2008 16:17:53 +0900

Hello Addison/Mark (Editors!), others,

Can I please ask you to come up with some revised wording for
this point? If it's indeed the dates themselves that can be
inverted, this really should be made clear.

Regards,    Martin.

At 09:22 08/10/11, Doug Ewell wrote:
>Felix Sasaki <fsasaki at w3 dot org> wrote: > >> draft-ietf-ltru-4646bis-17 says in sec. 3.1.3: >> >> "Deprecated's field-body contains the date the record was deprecated. >> In some cases this value is before that of the associated 'Added' >> field in the registry." >> >> Although this thread is for the last call of 4645bis, I am wondering >> about the reason for the statement. "In some cases this value is >> before that of the associated 'Added' field in the registry.", since >> the ording of fields in 4645bis is not required. > >In this passage, "before" refers to the dates themselves, not the order >of fields within the record. > >An example of this is: > >Type: language >Subtag: in >Description: Indonesian >Added: 2005-10-16 >Preferred-Value: id >Deprecated: 1989-01-01 >Suppress-Script: Latn > >In essence, the record was deprecated before birth. > >-- >Doug Ewell  *  Thornton, Colorado, USA  *  RFC 4645  *  UTN #14 >http://www.ewellic.org >http://www1.ietf.or
g/html.charters/ltru-charter.html >http://www.alvestrand.no/mailman/listinfo/ietf-languages  $B%R+(B>_______________________________________________ >Ltru mailing list >[email-masked] >https://www.ietf.org/mailman/listinfo/ltru > 

#-#-#  Martin J. Du"rst, Assoc. Professor, Aoyama Gakuin University
#-#-#  http://www.sw.it.aoyama.ac.jp       mailto:[email-masked]

---

From: "Doug Ewell" <[email-masked]>
Date: Tue, 14 Oct 2008 06:44:46 -0600

Martin Duerst <duerst at it dot aoyama dot ac dot jp> wrote:

> Can I please ask you to come up with some revised wording for this 
> point? If it's indeed the dates themselves that can be inverted, this 
> really should be made clear.

If the word "before" really is unclear in this context, then John 
Cowan's suggestion of "earlier than" should be fine.

      *  Deprecated's field-body contains the date the record was
         deprecated.  In some cases this value is before that of the
         associated 'Added' field in the registry.

---

From: "Phillips, Addison" <[email-masked]>
Date: Tue, 14 Oct 2008 10:52:25 -0700

(editor hat ON)

I concur. To make it abundantly clear, though, I added more text. The paragraph now reads:

<t>Deprecated's field-body contains the date the record was deprecated. In some cases this value is earlier than that of the 'Added' field in the same record. That is, the date of deprecation preceded the addition of the record to the registry.</t>

Addison

Addison Phillips
Globalization Architect -- Lab126

Internationalization is not a feature.
It is an architecture.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Doug Ewell
> Sent: Tuesday, October 14, 2008 5:45 AM
> To: LTRU Working Group
> Subject: Re: [Ltru] WG Last Call for draft-ietf-ltru-4646bis-17.txt
> 
> this

---

From: "Phillips, Addison" <[email-masked]>
Date: Tue, 14 Oct 2008 10:52:48 -0700

Done.

Addison Phillips

> Behalf Of Martin Duerst
> Sent: Tuesday, October 14, 2008 12:18 AM
> To: Doug Ewell; LTRU Working Group
> >Felix Sasaki <fsasaki at w3 dot org> wrote: > >> draft-ietf-ltru-
> 4646bis-17 says in sec. 3.1.3: >> >> "Deprecated's field-body
> contains the date the record was deprecated. >> In some cases this
> value is before that of the associated 'Added' >> field in the
> registry." >> >> Although this thread is for the last call of
> 4645bis, I am wondering >> about the reason for the statement. "In
> some cases this value is >> before that of the associated 'Added'
> field in the registry.", since >> the ording of fields in 4645bis
> is not required. > >In this passage, "before" refers to the dates
> themselves, not the order >of fields within the record. > >An
> example of this is: > >Type: language >Subtag: in >Description:
> Indonesian >Added: 2005-10-16 >Preferred-Value: id >Deprecated:
> 1989-01-01 >Suppress-Script: Latn > >In essence, the record was
> deprecated before birth. > >-- >Doug Ewell  *  Thornton, Colorado,
> USA  *  RFC 4645  *  UTN #14 >http://www.ewellic.org
> >http://www1.ietf.or
> >http://www.alvestrand.no/mailman/listinfo/ietf-languages  ヒ・
> >_______________________________________________ >Ltru mailing list
> >[email-masked] >https://www.ietf.org/mailman/listinfo/ltru >
> 
>

---

From: Felix Sasaki <[email-masked]>
Date: Wed, 15 Oct 2008 07:55:04 +0900

This sounds good to me.

Felix

Phillips, Addison さんは書きました:
>>> point? If it's indeed the dates themselves that can be inverted,
>>>       
>> this
>>